function G0 = conductivity(Ef,tau,lambda)
e = 1.602e-19;
h = 6.63e-34;
hbar = h/2/pi;
kB = 0.026*e/300;
T = 300;
kBT = kB*T;
c = 3e8;
f = c/lambda;
O = 2*pi*f;
H = sinh(hbar*O/kBT/2)/(cosh(Ef/kBT)+cosh(hbar*O/kBT/2));
Gintra = e^2*Ef/(pi*hbar^2)*(1i/(-O+1i*2*pi/tau));
Ginter = e^2/(4*hbar)*( H - 1i*log(abs((hbar*O-2*Ef)/(hbar*O+2*Ef))) );
G0 = Ginter+Gintra;